FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 04-03-2012, 03:27 PM
luis jure
 
Default libblas question (a propos digikam)

hello list,

on my ~amd64 system, digikam (2.5.0) now fails to start with:

digikam: error while loading shared libraries: libblas.so.0: cannot open
shared object file: No such file or directory

searching for libblas, i found these two orphaned files, not belonging to
any installed package:

/usr/lib64/libblas.a
/usr/lib64/libblas.so
(no libblas.so.0)

libblas.so is a dead link to a non-existent blas/reference/libblas.so
the same with libblas.a

i have sci-libs/blas-reference and virtual/blas installed, but i really
don't understand how they work.

i googled for this problem, and searched bugs.gentoo.org also, but i
couldn't find anything that could help me understand and solve the
problem. now i can't rebuild digikam-2.5.0 that i have installed, and
older versions fail also.

any ideas?

TIA,

lj
 
Old 04-03-2012, 04:02 PM
Helmut Jarausch
 
Default libblas question (a propos digikam)

On 04/03/2012 05:27:45 PM, luis jure wrote:


hello list,

on my ~amd64 system, digikam (2.5.0) now fails to start with:

digikam: error while loading shared libraries: libblas.so.0: cannot
open

shared object file: No such file or directory

searching for libblas, i found these two orphaned files, not
belonging to

any installed package:

/usr/lib64/libblas.a
/usr/lib64/libblas.so
(no libblas.so.0)

libblas.so is a dead link to a non-existent blas/reference/libblas.so
the same with libblas.a

i have sci-libs/blas-reference and virtual/blas installed, but i
really

don't understand how they work.

i googled for this problem, and searched bugs.gentoo.org also, but i
couldn't find anything that could help me understand and solve the
problem. now i can't rebuild digikam-2.5.0 that i have installed, and
older versions fail also.

any ideas?



you can check with

eselect blas list

if the right (installed) package is in use.

Helmut.
 
Old 04-03-2012, 08:07 PM
luis jure
 
Default libblas question (a propos digikam)

on 2012-04-03 at 18:02 Helmut Jarausch wrote:

>you can check with
>
>eselect blas list
>
>if the right (installed) package is in use.

aha! funny, i had no blas selected. never had to do that before, is this
new?

whatever, thanks for the hint. perhaps i advanced a little i selected
"reference" (the only blas i had installed), but now when i try to rebuild
digikam, it fails thus:

In file included
from /var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0/core/libs/threadimageio/pgfutils.cpp:49:0:
/var/tmp/portage/media-gfx/digikam-2.5.0/work/digikam-2.5.0_build/digikam/utils/config-digikam.h:64:0:
warning: "PGFCodecVersionID" redefined
/usr/include/libpgf/PGFtypes.h:50:0: note: this is the location of the
previous definition


so here i am, stuck again...
 

Thread Tools




All times are GMT. The time now is 06:02 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org